Subject: RE: conference call minutes (was "Re: [ipfix] arch and data con c all")

From: "Norseth, KC" <[email-masked]>
Date: Fri, 1 Feb 2002 08:43:25 -0500

Nevil said he would give something on IPFIX, RTFM and mibs like rfc2720 ,
rfc2123 

|-----Original Message-----
|From: Dave Plonka [mailto:[email-masked]] 
|Sent: Thursday, January 31, 2002 2:23 PM
|To: [email-masked]
|Subject: conference call minutes (was "Re: [ipfix] arch and 
|data con call")
|
|
|
|IPFIX folks,
|
|Below, please find the minutes that I prepared following a 
|conference call that was arranged to organize the IPFIX 
|Internet Draft efforts.
|
|Thanks to KC Norseth and Enterasys for hosting the conference 
|call. A list of those that participated follows the minutes below.
|
|----------------------------------------------------------------------
|
|The call began Thu Jan 31 ~1300 CST 2002.
|
|The conference call roughly followed an agenda prepared by KC Norseth.
|
|During the discussion various people volunteered to be 
|responsible for contributing info on particular topics.  Their 
|names are noted below in context.
|
|These topics were discussed:
|
|*) Why are three proposed draft documents laid out this way?
|   * IPFIX Requirements
|   * IPFIX Architecture
|        it was noted that protocol doesn't belong in Architecture
|   * IPFIX Data Model
|
|   Specifically, the question was asked why not a protocol document.
|   (We discussed that we're not chartered to design a protocol, but
|   to concentrate on standardizing existing practice.)
|
|   There is some confusion about what items belong in the Architecture
|   rather than Data model and vice versa.
|
|*) We discussed points suggested for the Architecture draft...
|   The first was "Summary of Operation":
|
|   It was noted that some things about the flow definition (such as
|   what causes a flow to be instantiated, and what temporal
|   characteristics they have) are important to specifying the IPFIX
|   architecture.
|
|*) It was noted that the components or entities (and possibly 
|interfaces
|   between) are a key portion of the Architecture document.
|
|   Capabilities negotiation was also mentioned for the Architecture.
|   Kevin Zhang volunteered to work on this.
|
|   It was mentioned that a work-in-progress Internet Draft document
|   by Benoit and Ganesh does a good job of laying this out.
|
|   It was also mentioned that the Architecture doc should lay out
|   a number of architecture/component "scenarios".
|
|   It was discussed as to whether or not the Requirements document
|   should specify the flow definition.  There was not support voiced
|   for making it more specific.
|
|   There were other kudos for Benoit's & Ganesh's document for its
|   description of the flow "concept".
|
|*) Message formats
|
|   It was noted that "messages formats" mostly belongs in a protocol
|   specification so may be out of scope.  However, it was noted that
|   the items of information would be necessary for the Architecture
|   specification.
|
|   Some folks referred to this as the "information model".
|   KC Norseth, Paul Calato, and Simon Leinen volunteered to work
|   on specifying this information.
|
|   It was noted that the handshaking or interfaces between components
|   does belong in the Architecture.
|
|   It was considered whether or not the "information model" belongs in
|   architecture or data model.  It was suggested that perhaps it would
|   be best to focus on enumerating the important topics, and fit them
|   into the documents afterward.  This idea was supported by others as
|   well.
|
|   Kevin Zhan, Ram Gopal, Man Li, and +Benoit Claise volunteered to
|   work on the Architecture.
|
|   Juergen Quittek volunteered to work work on Terminology.
|
|*) It was mentioned it was hoped that Benoit's & Ganesh's document
|   might serve as a strawman, or starting point for the next WG
|   document.
|
|   The question was raised as to what would be best to do immediately
|   with that document.  It was suggested that it be submitted as an
|   individual draft, and it will be considered as a template or as
|   input to working group documents, like other individual drafts that
|   have been prepared by other IPFIX participants.
|
|*) KC Norseth volunteered to work on Error Detection / Handling, and
|   data recovery.
|
|   Other issues were raised as possibilities for needed to be addressed
|   in some fashion by the Architecture document.  These include NAT,
|   firewalls and middleboxes.
|
|   Reinaldo Penno volunteered to work on the NAT/firewall, and midcom
|   issues/interactions.
|
|*) KC Norseth volunteered to serve as document editor.
|
|*) The point was raised that the upcoming IPFIX document(s) 
|should address
|   or mention interactions with other IETF-specified topics such as
|   AAA, and Intrusion Detection.
|
|   Tanja Zseby volunteered some information about AAA and 
|configuration for
|   flow export.
|
|*) It was noted that the I-D draft deadline is soon for the documents
|   as listed in our WG milestones.  The submission deadlin is Feb. 22
|   for IETF 53.
|
|   As such, thee was support for setting a deadling of Friday, Feb. 8,
|   2002 for those that volunteer info (above) to submit it to the
|   editor, preferably via the IPFIX mailing list 
|<[email-masked]>.
|
|*) It was suggested that, until we collect the information from those
|   volunteers and whether it fits into Architecture and Data Model
|   documents, perhaps we should refer to it as a (single) "design"
|   document for the time being.
|
|We signed off from the call at Thu Jan 31 ~1400 CST 2002.
|
|The following (at least) joined the conference call:
|
|   George Carle
|   Tanja Zseby
|   Paul Calato
|   Dave Plonka
|   Kevin Zhang
|   KC Norseth
|   Bill Richards
|   Will Eatherton
|   Benoit Claise
|   Ganesh Sadasivan
|   Vamsi Valluri
|   Ram Gopal
|   Jc Martin
|   Carter Bullard
|   Juergen Quittek
|   Reinaldo Penno
|   Nevil Brownlee
|   Simon Leinen
|
|----------------------------------------------------------------------
|
|Any errors are mine, but please follow-up to the mailing list 
|if you have substantive corrections.
|
|Respectfully,
|Dave
|
|-- 
[email-masked]  http://net.doit.wisc.edu/~plonka  
|ARS:N9HZF  Madison, WI
|
|--
|Help        mailto:[email-masked] and say "help" 
|in message body
|Unsubscribe mailto:[email-masked] and say 
|"unsubscribe ipfix" in message body
|Archive     http://ipfix.doit.wisc.edu/archive/
|